summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrad Henry <brad@samba.org>2006-10-24 01:29:02 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:21:38 -0500
commit622928924fd531bfe415b705c5da7125a5549039 (patch)
treed8457c4338a85e1858dd28e80092af6348cdc4df
parent9c83f44fa17b1a7dc7d0b39275154e3c2fe0bc73 (diff)
downloadsamba-622928924fd531bfe415b705c5da7125a5549039.tar.gz
samba-622928924fd531bfe415b705c5da7125a5549039.tar.bz2
samba-622928924fd531bfe415b705c5da7125a5549039.zip
r19473: Add NET tests in their own script. Run the same set of tests that 'make test' does.
Comment those tests which don't pass. (This used to be commit 7d382b175b548ae32b4c7c1b728dcd02e20cbbfa)
-rwxr-xr-xsource4/script/tests/test_win.sh4
-rwxr-xr-xsource4/script/tests/win/wintest_net.sh60
2 files changed, 64 insertions, 0 deletions
diff --git a/source4/script/tests/test_win.sh b/source4/script/tests/test_win.sh
index a6b09d48db..da543a2b50 100755
--- a/source4/script/tests/test_win.sh
+++ b/source4/script/tests/test_win.sh
@@ -36,6 +36,10 @@ $WINTEST_DIR/wintest_rpc.sh $SMBTORTURE_REMOTE_HOST $SMBTORTURE_USERNAME \
$SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP \
|| all_errs=`expr $all_errs + $?`
+$WINTEST_DIR/wintest_net.sh $SMBTORTURE_REMOTE_HOST $SMBTORTURE_USERNAME \
+ $SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP \
+ || all_errs=`expr $all_errs + $?`
+
test_name="WINDOWS CLIENT / SAMBA SERVER SHARE"
old_errs=$all_errs
cat $WINTEST_DIR/common.exp > $TMPDIR/client_test.exp
diff --git a/source4/script/tests/win/wintest_net.sh b/source4/script/tests/win/wintest_net.sh
new file mode 100755
index 0000000000..d2dbb3bcc0
--- /dev/null
+++ b/source4/script/tests/win/wintest_net.sh
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+. script/tests/test_functions.sh
+
+. script/tests/win/wintest_functions.sh
+
+# This variable is defined in the per-hosts .fns file.
+. $WINTESTCONF
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_net.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+server="$1"
+username="$2"
+password="$3"
+domain="$4"
+shift 4
+
+ncacn_np_tests="NET-API-LOOKUP NET-API-LOOKUPHOST NET-API-RPCCONN-BIND NET-API-RPCCONN-SRV NET-API-RPCCONN-DC NET-API-RPCCONN-DCINFO NET-API-LISTSHARES"
+#These tests fail on ncacn_np: NET-API-LOOKUPPDC NET-API-CREATEUSER NET-API-DELETEUSER
+
+ncalrpc_tests="NET-API-RPCCONN-SRV NET-API-RPCCONN-DC NET-API-RPCCONN-DCINFO NET-API-LISTSHARES"
+#These tests fail on ncalrpc: NET-API-CREATEUSER NET-API-DELETEUSER
+
+ncacn_ip_tcp_tests="NET-API-LOOKUP NET-API-LOOKUPHOST NET-API-RPCCONN-SRV NET-API-RPCCONN-DC NET-API-RPCCONN-DCINFO NET-API-LISTSHARES"
+#These tests fail on ncacn_ip_tcp: NET-API-LOOKUPPDC NET-API-CREATEUSER NET-API-DELETEUSER
+
+bind_options="seal,padcheck bigendian"
+
+test_type="ncalrpc ncacn_np ncacn_ip_tcp"
+
+all_errs=0
+for o in $bind_options; do
+ for transport in $test_type; do
+ case $transport in
+ ncalrpc) net_test=$ncalrpc_tests ;;
+ ncacn_np) net_test=$ncacn_np_tests ;;
+ ncacn_ip_tcp) net_test=$ncacn_ip_tcp_tests ;;
+ esac
+
+ for t in $net_test; do
+ test_name="$t on $transport with $o"
+ old_errs=$all_errs
+ testit "$test_name" $SMBTORTURE_BIN_PATH \
+ -U $username%$password \
+ -W $domain \
+ $transport:$server[$o] \
+ $t || all_errs=`expr $all_errs + 1`
+ if [ $old_errs -lt $all_errs ]; then
+ restore_snapshot "\n$test_name failed."
+ fi
+ done
+ done
+done
+
+testok $0 $all_errs